SDL_SetTrayEntryCallback(3)

NAME
SDL_SetTrayEntryCallback - Sets a callback to be invoked when the entry is selected.

SYNOPSIS
#include <SDL3/SDL_tray.h>

void SDL_SetTrayEntryCallback(SDL_TrayEntry *entry, SDL_TrayCallback callback, void *userdata);

FUNCTION PARAMETERS

entry
    the entry to be updated.

callback
    a callback to be invoked when the entry is selected.

userdata
    an optional pointer to pass extra data to the callback when it will be invoked.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetTrayEntries(3), SDL_InsertTrayEntryAt(3)